import request from '@/utils/request'

// 查询战区管理列表
export function listBasicArea(query) {
  return request({
    url: '/basic/basicArea/list',
    method: 'get',
    params: query
  })
}

// 查询战区管理详细
export function getBasicArea(id) {
  return request({
    url: '/basic/basicArea/' + id,
    method: 'get'
  })
}

// 新增战区管理
export function addBasicArea(data) {
  return request({
    url: '/basic/basicArea',
    method: 'post',
    data: data
  })
}

// 修改战区管理
export function updateBasicArea(data) {
  return request({
    url: '/basic/basicArea',
    method: 'put',
    data: data
  })
}

// 删除战区管理
export function delBasicArea(id) {
  return request({
    url: '/basic/basicArea/' + id,
    method: 'delete'
  })
}
